#include <signal.h>
#include <stdio.h>
#include <unistd.h>

// This program illustrates how a process can protect itself against being
// killed by Ctrl-C (SIGINT, signal number 2) and the default termination
// signal sent by "kill" on the console (SIGTERM, number 15).

// In this variant, the signal dispositions are changed using sigaction(),
// which is more portable than signal().

void handler () {}

int main ()
{
	printf("my pid is %d\n",getpid());

        struct sigaction action;
	//action.sa_flags = SA;

	// catch SIGINT using handler
        action.sa_handler = handler;
        sigaction(SIGINT,&action,NULL);

	// ignore SIGTERM
	action.sa_handler = SIG_IGN;
        sigaction(SIGTERM,&action,NULL);

	while (1)
	{
		sleep(3);
		printf("I'm still alive...\n");
	}
}
